/* Reset e Fonte Padrão */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
    border: none;
    outline: none;
    scroll-behavior: smooth;
    font-family: 'Funnel Display', sans-serif;
}
/* Variaveis */
:root {
    --bg-color: #f1f3f4;
    --second-bg-color: #ffffff;
    --text-color: #000000;
    --main-color: #578792;
    --second-color: #40f99b;
    --third-color: #112d36;
    --fourth-color: #668d57;
}

/* Cabeçalho */
header {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 20px;
    background-color: var(--bg-color);
}

h1 {
    display: none;
    font-size: 2.8rem;
    font-weight: 700;
    color: var(--main-color);
}

h2 {
    font-size: 2rem;
    font-weight: 500;
    color: var(--main-color);
    text-align: center;
    margin-bottom: 2rem;
}

.logo {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
}

.navbar {
    display: none;
}

.navbar-list {
    display: flex;
    align-items: center;
    gap: 16px;
}

.navbar-item {
    list-style: none;
    padding: 10px;
    font-size: 20px;
    align-items: center;
}

.navbar-item > a {
    color: var(--main-color);
}

.navbar-item > a:hover {
    color: var(--second-color);
}


/* Banner */
.slides {
    display: none;
}

.slides > img {
    width: 100%;
    max-height: 400px;
    object-fit: cover;
    vertical-align: middle;
}

.ponto {
    text-align: center;
}

.slideshow-container {
    max-width: 100%;
    position: relative;
    margin: auto;
}

.prev, .next {
    cursor: pointer;
    position: absolute;
    top: 50%;
    width: auto;
    padding: 16px;
    margin-top: -22px;
    color: var(--second-bg-color);
    font-weight: 700;
    font-size: 18px;
    transition: 0.6s ease;
    border-radius: 0 3px 3px 0;
    user-select: none;
}

.next {
    right: 0;
    border-radius: 3px 0 0 3px ;
}

.prev:hover, .next:hover {
    background-color: rgba(0, 0, 0, 0.6);
}

.texto {
    color: var(--bg-color);
    font-size: 16px;
    padding: 8px 12px;
    position: absolute;
    width: 100%;
    text-align: center;
    bottom: 8px;
}

.numero {
    color: var(--bg-color);
    font-size: 12px;
    padding: 8px 12px;
    position: absolute;
    top: 0;
}

.ponto-item {
    cursor: pointer;
    height: 16px;
    width: 16px;
    margin: 16px 2px;
    background-color: #bbb;
    border-radius: 50%;
    display: inline-block;
    transition: background-color 0.6s ease;
}

.ativo, .ponto-item:hover {
    background-color: #578792;
}

.fade {
    -webkit-animation-name: fade;
    -webkit-animation-duration: 1.5s;
    animation-name: fade;
    animation-duration: 1.5s;
}

@-webkit-keyframes fade {
    from {opacity: .4}
    to {opacity: 1}
}

@keyframes fade {
    from {opacity: .4}
    to {opacity: 1}
}

/* Seção Sobre */
.sobre {
    display: grid;
    column-gap: 1.5rem;
    place-items: center;
    margin-inline: 1.5rem;
    padding-block: 5rem;
    row-gap: 3rem;
}

.sobre__img > img {
    width: 250px;
    border-radius: 1.5rem;
}

.sobre__card {
    width: 250px;
    background-color: var(--bg-color);
    padding: 1.5rem 2rem;
    box-shadow: 0 8px 24px hsla(0, 0%, 0%, .15);
    border-radius: 1rem;
    left: 0;
    right: 0;
    margin-inline: auto;
}


/* Card */
.container {
    display: grid;
    place-items: center;
    margin-inline: 1.5rem;
    padding-block: 5rem;
}

.card__container {
    display: grid;
    row-gap: 3.5rem;
}

.card__article {
    position: relative;
    overflow: hidden;
}

.card__img {
    width: 250px;
    border-radius: 1.5rem;
}

.card__data {
    width: 232px;
    background-color: var(--bg-color);
    padding: 1.5rem 2rem;
    box-shadow: 0 8px 24px hsla(0, 0%, 0%, .15);
    border-radius: 1rem;
    position: absolute;
    bottom: -9rem;
    left: 0;
    right: 0;
    margin-inline: auto;
    opacity: 0;
    transition: opacity 1s 1s;
}

.card__description {
    display: block;
    font-size: 12px;
    margin-bottom: .25rem;
}

.card_title {
    font-size: 16px;
    font-weight: 500;
    color: var(--third-color);
    margin-bottom: .75rem;
}

.card__button {
    text-decoration: none;
    font-size: 12px;
    font-weight: 500;
    color: var(--main-color);
}

/* Hover das animações */
.card__button:hover {
    text-decoration: underline;
}

.card__article:hover .card__data{
    animation: show-data 1s forwards;
    opacity: 1;
    transition: opacity .3s;
}

.card__article:hover {
    animation: remove-overflow 2s forwards;
}

.card__article:not(:hover) {
    animation: show-overflow 2s forwards;
}

.card__article:not(:hover) .card__data {
    animation: remove-data 1s forwards;
}

/* Animação do Card */
@keyframes show-data {
    50% {
        transform: translateY(-10rem);
    }
    100% {
        transform: translateY(-7rem);
    }
}

@keyframes remove-overflow {
    to {
        overflow: initial;
    }
}

@keyframes remove-data {
    0% {
        transform: translateY(-7rem);
    }
    50% {
        transform: translateY(-10rem);
    }
    100% {
        transform: translateY(.5rem);
    }
}

@keyframes show-overflow {
    0% {
        overflow: initial;
        pointer-events: none;
    }
    50% {
        overflow: hidden;
    }
}

/* Contato e Localização */
.contato {
    display: grid;
    place-items: center;
    padding-block: 5rem;
    background-color: var(--bg-color);
    row-gap: 3.5rem;
}

.info__img {
    align-items: center;
    text-align: center;
}

.info__img {
    width: 150px;
}

.map {
    display: grid;
    width: 100%;
    height: 450px;
}

.bi {
    font-size: 48px;
    padding: 2rem;
    color: var(--main-color);
}

/* Footer */
.rodape {
    background-color: var(--third-color);
    text-align: center;
    color: var(--second-bg-color);
    padding: 2rem 0;
}

/* Responsividade */
@media screen and (max-width: 340px) {
    header {
        justify-content: center;
    }
    .container {
        margin-inline: 1rem;
    }

    .card__data {
        width: 200px;
        padding: 1rem;
    }

    .sobre__img > img {
        width: 200px;
        border-radius: 1.5rem;
        row-gap: 1.5rem;
    }
    .sobre__card {
        width: 200px;
    }
}

@media screen and (min-width: 768px) {
    header {
        justify-content: space-between;
    }
    .navbar {
        display: block;
    }
    .card__container {
        grid-template-columns: repeat(2, 1fr);
        column-gap: 1.5rem;
    }

    .card__img {
        width: 348px;
    }
    .card__data {
        width: 316px;
        padding-inline: 2.5rem;
    }
    
    .sobre {
        grid-template-columns: repeat(2, 1fr);
        column-gap: 1.5rem;
    }
    .sobre__img > img {
        width: 300px;
        border-radius: 2rem;
    }
    .sobre__card {
        width: 300px;
    }
    
    .contato {
        grid-template-columns: repeat(2, 1fr);
        column-gap: 1.5rem;
    }

    .info__img {
        width: 300px;
    }
}

@media screen and (min-width: 1120px){
    h1 {
        display: block;
    }
    .container {
        height: 100vh;
    }
    .card__container {
        grid-template-columns: repeat(3, 1fr);
    }

    .sobre {
        margin-inline: 7.5rem;
    }
    
    .sobre__img > img {
        width: 450px;
        border-radius: 2rem;
    }
    .sobre__card {
        width: 450px;
        border-radius: 2rem;
    }

    .contato {
        grid-template-columns: repeat(3, 1fr);
        column-gap: 1.5rem;
    }

    .info__img {
        width: 350px;
    }
}